# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# C:\b\abs_59rtw3_ujb\clone\recipe, last modified Thu May 25 17:45:50 2023
# ------------------------------------------------

package:
  name: cramjam
  version: 2.6.2
source:
  sha256: 1ffdc8d1381b5fee57b33b537e38fa7fd29e8d8f3b544dbab1d71dbfaaec3bef
  url: https://pypi.io/packages/source/c/cramjam/cramjam-2.6.2.tar.gz
build:
  number: '0'
  script:
    - C:\\b\\abs_59rtw3_ujb\\croot\\cramjam_1685033167415\\_h_env\\python.exe -m pip
      install . --no-deps --no-build-isolation -vv
  string: py39h1718810_0
requirements:
  build:
    - m2w64-binutils 2.25.1 5
    - m2w64-bzip2 1.0.6 6
    - m2w64-crt-git 5.0.0.4636.2595836 2
    - m2w64-gcc 5.3.0 6
    - m2w64-gcc-ada 5.3.0 6
    - m2w64-gcc-fortran 5.3.0 6
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gcc-objc 5.3.0 6
    - m2w64-gmp 6.1.0 2
    - m2w64-headers-git 5.0.0.4636.c0ad18a 2
    - m2w64-isl 0.16.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-make 4.1.2351.a80a8b8 2
    - m2w64-mpc 1.0.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pkg-config 0.29.1 2
    - m2w64-toolchain 5.3.0 7
    - m2w64-toolchain_win-64 2.4.0 0
    - m2w64-tools-git 5.0.0.4592.90b8472 2
    - m2w64-windows-default-manifest 6.4 3
    - m2w64-winpthreads-git 5.0.0.4634.697f757 2
    - m2w64-zlib 1.2.8 10
    - msys2-conda-epoch 20160418 1
    - rust 1.64.0 haa95532_0
    - rust_win-64 1.64.0 hd77b12b_1
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
  host:
    - ca-certificates 2023.01.10 haa95532_0
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gmp 6.1.0 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - maturin 0.14.17 py39h2bbff1b_0
    - msys2-conda-epoch 20160418 1
    - openssl 1.1.1t h2bbff1b_0
    - pip 23.0.1 py39haa95532_0
    - python 3.9.16 h6244533_2
    - setuptools 66.0.0 py39haa95532_0
    - sqlite 3.41.2 h2bbff1b_0
    - tomli 2.0.1 py39haa95532_0
    - tzdata 2023c h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.38.4 py39haa95532_0
  run:
    - m2w64-gcc-libs
    - python >=3.9,<3.10.0a0
test:
  commands:
    - pip check
  imports:
    - cramjam
  requires:
    - pip
about:
  description: 'Extremely thin Python bindings to de/compression algorithms in Rust.

    Allows for using algorithms such as Snappy, without any system dependencies.

    This is handy when being used in environments like AWS Lambda,

    where installing packages like python-snappy becomes difficult because of

    system level dependencies.

    '
  dev_url: https://github.com/milesgranger/pyrus-cramjam
  doc_url: https://docs.rs/cramjam/latest/cramjam/
  home: https://github.com/milesgranger/pyrus-cramjam
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: python bindings to rust-implemented compression
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 591a59b4-93fa-4421-bc37-ec84808f5b02
  recipe-maintainers:
    - martindurant
    - milesgranger
  remote_url: git@github.com:AnacondaRecipes/cramjam-feedstock.git
  sha: cc9114f3cfcded21a86e7728b4d1252bfc16cca3
